package net.t2code.opsecurity.system;

import net.t2code.opsecurity.Util;
import net.t2code.opsecurity.config.FileSelect;
import net.t2code.opsecurity.config.config.Converter;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Csend;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Ctemplate;
import net.t2code.t2codelib.SPIGOT.api.plugins.T2CpluginCheck;
import net.t2code.t2codelib.SPIGOT.api.plugins.T2CpluginManager;
import net.t2code.t2codelib.SPIGOT.api.update.T2CupdateAPI;

import java.util.List;
import java.util.logging.Level;

public class Load {

    public static void onLoad(Main plugin, List<String> autor, String version) {
        long long_ = T2Ctemplate.onLoadHeader(Util.getPrefix(), autor, version, Util.getSpigot(), Util.getDiscord());
        if (T2CpluginCheck.opSec()){
            T2CpluginManager.disable("OPSecurity");
            T2Csend.warning(plugin,"OPSecurity has been deactivated, because T2C-OPSecurity is a newer version!");
        }
        try {
            Converter.convert();
        } catch (Exception ex){
            plugin.getLogger().log(Level.SEVERE,ex.getMessage());
            ex.printStackTrace();
        }


        FileSelect.selectConfig();
        FileSelect.selectLanguage();
        FileSelect.selectOpWhitelist();
        FileSelect.selectPermissionWhitelist();

        //plugin.getCommand("t2c-opsecurity").setExecutor(new CmdExecuter());

        Permissions.register();
        T2CupdateAPI.onUpdateCheck(plugin, Util.getPrefix(), Util.getSpigotID(), Util.getDiscord());
        Metrics.Bstats(plugin, Util.getBstatsID());
        T2Ctemplate.onLoadFooter(Util.getPrefix(), long_);
    }
}
